<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 25/5/2018
 * Time: 7:28 PM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idInquilino']) && isset($_REQUEST['estado'])) {
            $idinquilinoid = $_REQUEST['idInquilino'];
            $estado = $_REQUEST['estado'];
            $inquilino = R::load('inquilino', $idinquilinoid);
            $inquilino->fechaModificacion = date('Y-m-d H:i:s');
            $inquilino->estado = $estado;
            $id = R::store($inquilino);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}